Package com.xebialabs.xlrelease.domain.variables.reference

## Enum VariableReference.VariableUsageType

- java.lang.Object
- - java.lang.Enum<VariableReference.VariableUsageType>
  - - com.xebialabs.xlrelease.domain.variables.reference.VariableReference.VariableUsageType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VariableReference.VariableUsageType>`
  Enclosing class:
    VariableReference

      public static enum VariableReference.VariableUsageType
      extends java.lang.Enum<VariableReference.VariableUsageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CI_PROPERTY` |
    `DEFAULT` |
    `FOLDER` |
    `GLOBAL` |
    `PASSWORD` |
    `SCRIPT_RESULT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPriority()` |
    `boolean` | `hasHigherPriorityThan​(VariableReference.VariableUsageType variableType)` |
    `static VariableReference.VariableUsageType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VariableReference.VariableUsageType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final VariableReference.VariableUsageType DEFAULT

    - #### CI_PROPERTY

          public static final VariableReference.VariableUsageType CI_PROPERTY

    - #### GLOBAL

          public static final VariableReference.VariableUsageType GLOBAL

    - #### FOLDER

          public static final VariableReference.VariableUsageType FOLDER

    - #### SCRIPT_RESULT

          public static final VariableReference.VariableUsageType SCRIPT_RESULT

    - #### PASSWORD

          public static final VariableReference.VariableUsageType PASSWORD

  - ### Method Detail

    - #### values

          public static VariableReference.VariableUsageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VariableReference.VariableUsageType c : VariableReference.VariableUsageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VariableReference.VariableUsageType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPriority

          public int getPriority()

    - #### hasHigherPriorityThan

          public boolean hasHigherPriorityThan​(VariableReference.VariableUsageType variableType)